Podatność CVE-2004-0492


Publikacja: 2004-08-06   Modyfikacja: 2012-02-12

Opis:
Heap-based buffer overflow in proxy_util.c for mod_proxy in Apache 1.3.25 to 1.3.31 allows remote attackers to cause a denial of service (process crash) and possibly execute arbitrary code via a negative Content-Length HTTP header field, which causes a large amount of data to be copied.

CVSS2 => (AV:N/AC:L/Au:N/C:C/I:C/A:C)

Ogólna skala CVSS
Znaczenie
Łatwość wykorzystania
10/10
10/10
10/10
Wymagany dostęp
Złożoność ataku
Autoryzacja
Zdalny
Niska
Nie wymagana
Wpływ na poufność
Wpływ na integralność
Wpływ na dostępność
Pełny
Pełny
Pełny
Affected software
SGI -> Propack 
Openbsd -> Openbsd 
IBM -> Http server 
HP -> Virtualvault 
HP -> Webproxy 
HP -> VVOS 
Apache -> Http server 

 Referencje:
ftp://patches.sgi.com/support/free/security/advisories/20040605-01-U.asc
http://marc.info/?l=bugtraq&m=108711172710140&w=2
http://marc.info/?l=bugtraq&m=130497311408250&w=2
http://rhn.redhat.com/errata/RHSA-2004-245.html
http://seclists.org/lists/fulldisclosure/2004/Jun/0296.html
http://sunsolve.sun.com/search/document.do?assetkey=1-26-101555-1
http://sunsolve.sun.com/search/document.do?assetkey=1-26-101841-1
http://sunsolve.sun.com/search/document.do?assetkey=1-26-57628-1
http://www.debian.org/security/2004/dsa-525
http://www.guninski.com/modproxy1.html
http://www.kb.cert.org/vuls/id/541310
http://www.mandriva.com/security/advisories?name=MDKSA-2004:065
https://bugzilla.fedora.us/show_bug.cgi?id=1737
https://exchange.xforce.ibmcloud.com/vulnerabilities/16387
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A100112
https://oval.cisecurity.org/repository/search/definition/oval%3Aorg.mitre.oval%3Adef%3A4863

Copyright 2022, cxsecurity.com

 

Back to Top